<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/src/TimeUtils.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_93a54634d0ab52618b36b15672961616.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">TimeUtils.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;ctime&gt;</code><br />
<code>#include &lt;iomanip&gt;</code><br />
<code>#include &lt;mutex&gt;</code><br />
<code>#include &lt;random&gt;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &quot;<a class="el" href="_time_utils_8h_source.html">AVSCommon/Utils/Timing/TimeUtils.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_string_utils_8h_source.html">AVSCommon/Utils/String/StringUtils.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for TimeUtils.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_time_utils_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2src_2_time_utils_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2src_2_time_utils_8cpp" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2src_2_time_utils_8cpp">
<area shape="rect" id="node8" href="_time_utils_8h.html" title="AVSCommon/Utils/Timing\l/TimeUtils.h" alt="" coords="386,105,560,144"/>
<area shape="rect" id="node15" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1073,105,1249,144"/>
<area shape="rect" id="node29" href="_string_utils_8h.html" title="AVSCommon/Utils/String\l/StringUtils.h" alt="" coords="5,279,175,317"/>
<area shape="rect" id="node11" href="_retry_timer_8h.html" title="AVSCommon/Utils/RetryTimer.h" alt="" coords="118,199,328,224"/>
<area shape="rect" id="node13" href="_safe_c_time_access_8h.html" title="AVSCommon/Utils/Timing\l/SafeCTimeAccess.h" alt="" coords="510,192,684,231"/>
<area shape="rect" id="node17" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="1670,192,1884,231"/>
<area shape="rect" id="node21" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="1102,279,1278,317"/>
<area shape="rect" id="node22" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="1470,192,1646,231"/>
<area shape="rect" id="node27" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="1198,192,1395,231"/>
<area shape="rect" id="node28" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="2062,365,2238,404"/>
<area shape="rect" id="node23" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="1403,279,1579,317"/>
<area shape="rect" id="node25" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="1654,365,1830,404"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">alexaClientSDK::avsCommon::utils</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html">alexaClientSDK::avsCommon::utils::timing</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_time_utils_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a339f97e7724a925d86e049a01a8fa255"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#a339f97e7724a925d86e049a01a8fa255">alexaClientSDK::avsCommon::utils::timing::TAG</a> (&quot;TimeUtils&quot;)</td></tr>
<tr class="memdesc:a339f97e7724a925d86e049a01a8fa255"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#a339f97e7724a925d86e049a01a8fa255">More...</a><br /></td></tr>
<tr class="separator:a339f97e7724a925d86e049a01a8fa255"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac00dfe8fbfa65abe8d7c6295e82a28de"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#ac00dfe8fbfa65abe8d7c6295e82a28de">alexaClientSDK::avsCommon::utils::timing::convertToLocalTimeT</a> (const std::tm *timeStruct, std::time_t *ret)</td></tr>
<tr class="separator:ac00dfe8fbfa65abe8d7c6295e82a28de"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:abaeb3be6a52665482f316d2c4843381e"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#abaeb3be6a52665482f316d2c4843381e">alexaClientSDK::avsCommon::utils::timing::ENCODED_TIME_STRING_YEAR_STRING_LENGTH</a> = 4</td></tr>
<tr class="memdesc:abaeb3be6a52665482f316d2c4843381e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The length of the year element in an ISO-8601 formatted string.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#abaeb3be6a52665482f316d2c4843381e">More...</a><br /></td></tr>
<tr class="separator:abaeb3be6a52665482f316d2c4843381e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a458c951009132690d6dda11f04d7af59"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#a458c951009132690d6dda11f04d7af59">alexaClientSDK::avsCommon::utils::timing::ENCODED_TIME_STRING_MONTH_STRING_LENGTH</a> = 2</td></tr>
<tr class="memdesc:a458c951009132690d6dda11f04d7af59"><td class="mdescLeft">&#160;</td><td class="mdescRight">The length of the month element in an ISO-8601 formatted string.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#a458c951009132690d6dda11f04d7af59">More...</a><br /></td></tr>
<tr class="separator:a458c951009132690d6dda11f04d7af59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6e5d66b24d741023a3ab36f657d3f0c"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#ab6e5d66b24d741023a3ab36f657d3f0c">alexaClientSDK::avsCommon::utils::timing::ENCODED_TIME_STRING_DAY_STRING_LENGTH</a> = 2</td></tr>
<tr class="memdesc:ab6e5d66b24d741023a3ab36f657d3f0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The length of the day element in an ISO-8601 formatted string.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#ab6e5d66b24d741023a3ab36f657d3f0c">More...</a><br /></td></tr>
<tr class="separator:ab6e5d66b24d741023a3ab36f657d3f0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56ec42bb2702b2d3943789f8c3e6bf44"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#a56ec42bb2702b2d3943789f8c3e6bf44">alexaClientSDK::avsCommon::utils::timing::ENCODED_TIME_STRING_HOUR_STRING_LENGTH</a> = 2</td></tr>
<tr class="memdesc:a56ec42bb2702b2d3943789f8c3e6bf44"><td class="mdescLeft">&#160;</td><td class="mdescRight">The length of the hour element in an ISO-8601 formatted string.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#a56ec42bb2702b2d3943789f8c3e6bf44">More...</a><br /></td></tr>
<tr class="separator:a56ec42bb2702b2d3943789f8c3e6bf44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a723c2152e90895168f92a6828ebbd988"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#a723c2152e90895168f92a6828ebbd988">alexaClientSDK::avsCommon::utils::timing::ENCODED_TIME_STRING_MINUTE_STRING_LENGTH</a> = 2</td></tr>
<tr class="memdesc:a723c2152e90895168f92a6828ebbd988"><td class="mdescLeft">&#160;</td><td class="mdescRight">The length of the minute element in an ISO-8601 formatted string.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#a723c2152e90895168f92a6828ebbd988">More...</a><br /></td></tr>
<tr class="separator:a723c2152e90895168f92a6828ebbd988"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cc4ce870881bcafc8c7005baa3d3ced"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#a0cc4ce870881bcafc8c7005baa3d3ced">alexaClientSDK::avsCommon::utils::timing::ENCODED_TIME_STRING_SECOND_STRING_LENGTH</a> = 2</td></tr>
<tr class="memdesc:a0cc4ce870881bcafc8c7005baa3d3ced"><td class="mdescLeft">&#160;</td><td class="mdescRight">The length of the second element in an ISO-8601 formatted string.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#a0cc4ce870881bcafc8c7005baa3d3ced">More...</a><br /></td></tr>
<tr class="separator:a0cc4ce870881bcafc8c7005baa3d3ced"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9dba0dd49d3216398f60c3ad89349b2d"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#a9dba0dd49d3216398f60c3ad89349b2d">alexaClientSDK::avsCommon::utils::timing::ENCODED_TIME_STRING_POSTFIX_STRING_LENGTH</a> = 4</td></tr>
<tr class="memdesc:a9dba0dd49d3216398f60c3ad89349b2d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The length of the post-fix element in an ISO-8601 formatted string.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#a9dba0dd49d3216398f60c3ad89349b2d">More...</a><br /></td></tr>
<tr class="separator:a9dba0dd49d3216398f60c3ad89349b2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae411c60b17fd5820c2ee6a2162ceb898"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#ae411c60b17fd5820c2ee6a2162ceb898">alexaClientSDK::avsCommon::utils::timing::ENCODED_TIME_STRING_DASH_SEPARATOR_STRING</a> = &quot;-&quot;</td></tr>
<tr class="memdesc:ae411c60b17fd5820c2ee6a2162ceb898"><td class="mdescLeft">&#160;</td><td class="mdescRight">The dash separator used in an ISO-8601 formatted string.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#ae411c60b17fd5820c2ee6a2162ceb898">More...</a><br /></td></tr>
<tr class="separator:ae411c60b17fd5820c2ee6a2162ceb898"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77b98307dbec0b46dec3c05d8991b4e4"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#a77b98307dbec0b46dec3c05d8991b4e4">alexaClientSDK::avsCommon::utils::timing::ENCODED_TIME_STRING_T_SEPARATOR_STRING</a> = &quot;T&quot;</td></tr>
<tr class="memdesc:a77b98307dbec0b46dec3c05d8991b4e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">The 'T' separator used in an ISO-8601 formatted string.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#a77b98307dbec0b46dec3c05d8991b4e4">More...</a><br /></td></tr>
<tr class="separator:a77b98307dbec0b46dec3c05d8991b4e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeead4ef5ea3dfb79966a42331364cd2d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#aeead4ef5ea3dfb79966a42331364cd2d">alexaClientSDK::avsCommon::utils::timing::ENCODED_TIME_STRING_COLON_SEPARATOR_STRING</a> = &quot;:&quot;</td></tr>
<tr class="memdesc:aeead4ef5ea3dfb79966a42331364cd2d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The colon separator used in an ISO-8601 formatted string.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#aeead4ef5ea3dfb79966a42331364cd2d">More...</a><br /></td></tr>
<tr class="separator:aeead4ef5ea3dfb79966a42331364cd2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a729083ff0b26c9fefebae235f3e51eba"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#a729083ff0b26c9fefebae235f3e51eba">alexaClientSDK::avsCommon::utils::timing::ENCODED_TIME_STRING_PLUS_SEPARATOR_STRING</a> = &quot;+&quot;</td></tr>
<tr class="memdesc:a729083ff0b26c9fefebae235f3e51eba"><td class="mdescLeft">&#160;</td><td class="mdescRight">The plus separator used in an ISO-8601 formatted string.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#a729083ff0b26c9fefebae235f3e51eba">More...</a><br /></td></tr>
<tr class="separator:a729083ff0b26c9fefebae235f3e51eba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac463332baf0712b638da5a1d11dab2af"><td class="memItemLeft" align="right" valign="top">static const unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#ac463332baf0712b638da5a1d11dab2af">alexaClientSDK::avsCommon::utils::timing::ENCODED_TIME_STRING_YEAR_OFFSET</a> = 0</td></tr>
<tr class="memdesc:ac463332baf0712b638da5a1d11dab2af"><td class="mdescLeft">&#160;</td><td class="mdescRight">The offset into an ISO-8601 formatted string where the year begins.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#ac463332baf0712b638da5a1d11dab2af">More...</a><br /></td></tr>
<tr class="separator:ac463332baf0712b638da5a1d11dab2af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1663aa627521b06d9029062708b9028"><td class="memItemLeft" align="right" valign="top">static const unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#ac1663aa627521b06d9029062708b9028">alexaClientSDK::avsCommon::utils::timing::ENCODED_TIME_STRING_MONTH_OFFSET</a></td></tr>
<tr class="memdesc:ac1663aa627521b06d9029062708b9028"><td class="mdescLeft">&#160;</td><td class="mdescRight">The offset into an ISO-8601 formatted string where the month begins.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#ac1663aa627521b06d9029062708b9028">More...</a><br /></td></tr>
<tr class="separator:ac1663aa627521b06d9029062708b9028"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad5e9ae40fa085c342d80acda1ba8065"><td class="memItemLeft" align="right" valign="top">static const unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#aad5e9ae40fa085c342d80acda1ba8065">alexaClientSDK::avsCommon::utils::timing::ENCODED_TIME_STRING_DAY_OFFSET</a></td></tr>
<tr class="memdesc:aad5e9ae40fa085c342d80acda1ba8065"><td class="mdescLeft">&#160;</td><td class="mdescRight">The offset into an ISO-8601 formatted string where the day begins.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#aad5e9ae40fa085c342d80acda1ba8065">More...</a><br /></td></tr>
<tr class="separator:aad5e9ae40fa085c342d80acda1ba8065"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0cbcb7e443f7e8205338016eda06692"><td class="memItemLeft" align="right" valign="top">static const unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#ad0cbcb7e443f7e8205338016eda06692">alexaClientSDK::avsCommon::utils::timing::ENCODED_TIME_STRING_HOUR_OFFSET</a></td></tr>
<tr class="memdesc:ad0cbcb7e443f7e8205338016eda06692"><td class="mdescLeft">&#160;</td><td class="mdescRight">The offset into an ISO-8601 formatted string where the hour begins.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#ad0cbcb7e443f7e8205338016eda06692">More...</a><br /></td></tr>
<tr class="separator:ad0cbcb7e443f7e8205338016eda06692"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87c3849605765c9cfd0626d52f69346b"><td class="memItemLeft" align="right" valign="top">static const unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#a87c3849605765c9cfd0626d52f69346b">alexaClientSDK::avsCommon::utils::timing::ENCODED_TIME_STRING_MINUTE_OFFSET</a></td></tr>
<tr class="memdesc:a87c3849605765c9cfd0626d52f69346b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The offset into an ISO-8601 formatted string where the minute begins.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#a87c3849605765c9cfd0626d52f69346b">More...</a><br /></td></tr>
<tr class="separator:a87c3849605765c9cfd0626d52f69346b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88dc2d7065a9092ebd6d62b20da248ee"><td class="memItemLeft" align="right" valign="top">static const unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#a88dc2d7065a9092ebd6d62b20da248ee">alexaClientSDK::avsCommon::utils::timing::ENCODED_TIME_STRING_SECOND_OFFSET</a></td></tr>
<tr class="memdesc:a88dc2d7065a9092ebd6d62b20da248ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">The offset into an ISO-8601 formatted string where the second begins.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#a88dc2d7065a9092ebd6d62b20da248ee">More...</a><br /></td></tr>
<tr class="separator:a88dc2d7065a9092ebd6d62b20da248ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeac8b242063f986dd407f64986a030f3"><td class="memItemLeft" align="right" valign="top">static const unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#aeac8b242063f986dd407f64986a030f3">alexaClientSDK::avsCommon::utils::timing::ENCODED_TIME_STRING_EXPECTED_LENGTH</a></td></tr>
<tr class="memdesc:aeac8b242063f986dd407f64986a030f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">The total expected length of an ISO-8601 formatted string.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing.html#aeac8b242063f986dd407f64986a030f3">More...</a><br /></td></tr>
<tr class="separator:aeac8b242063f986dd407f64986a030f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
